tile = {}

function tile:load()
	self.img = love.graphics.newImage("src/img/tile32.png")
	self.imgTileSize = 32
	self.tileCount = 4
	self.img:setFilter("nearest", "nearest")
	self.quad = {}
	for i=1, self.tileCount do
		self.quad[i] = love.graphics.newQuad(self.imgTileSize * (i-1), 0, self.imgTileSize, self.imgTileSize, self.img:getWidth(), self.img:getHeight())
	end
end

function tile:draw(tile, x, y)
	if tile > 0 and tile <= #self.quad then
		love.graphics.draw(self.img, self.quad[tile], x, y, 0, game.tileSize / self.imgTileSize, game.tileSize / self.imgTileSize)
	else
		love.graphics.draw(self.img, self.quad[2], x, y, 0, game.tileSize / self.imgTileSize, game.tileSize / self.imgTileSize)
	end
end